Yandex Cloud
Поиск
Связаться с намиПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Interconnect
KZ
    • Обзор сервиса
    • Обзор операций
    • Терминология
    • Точки присутствия
    • Трансиверы
    • Транковое подключение
    • Приватное соединение
    • Публичное соединение
    • Партнеры CIC
    • Мониторинг
    • Объемы данных и емкости подключений
    • Квоты и лимиты
  • Правила тарификации
  • Управление доступом
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
  • История изменений

В этой статье:

  • gRPC request
  • ListPublicConnectionsRequest
  • ListPublicConnectionsResponse
  • PublicConnection
  • Peering
  1. Справочник API
  2. gRPC (англ.)
  3. PublicConnection
  4. List

Cloud Interconnect API, gRPC: PublicConnectionService.List

Статья создана
Yandex Cloud
Улучшена
Tania L.
Обновлена 21 февраля 2025 г.
  • gRPC request
  • ListPublicConnectionsRequest
  • ListPublicConnectionsResponse
  • PublicConnection
  • Peering

Retrieves the list of PublicConnection resources in the specified folder.

gRPC requestgRPC request

rpc List (ListPublicConnectionsRequest) returns (ListPublicConnectionsResponse)

ListPublicConnectionsRequestListPublicConnectionsRequest

{
  "folder_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

folder_id

string

Required field. ID of the folder to list publicConnections in.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListPublicConnectionsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests. Default value: 100.

page_token

string

Page token. To get the next page of results, set page_token to the
ListPublicConnectionsResponse.next_page_token returned by a previous list request.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on [Subnet.name] field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

ListPublicConnectionsResponseListPublicConnectionsResponse

{
  "public_connections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folder_id": "string",
      "region_id": "string",
      "trunk_connection_id": "string",
      "vlan_id": "google.protobuf.Int64Value",
      "ipv4_peering": {
        "peering_subnet": "string",
        "peer_ip": "string",
        "cloud_ip": "string",
        "peer_bgp_asn": "int64",
        "cloud_bgp_asn": "int64",
        "peer_bgp_md5_key": "string"
      },
      "ipv4_allowed_service_types": [
        "CloudServiceType"
      ],
      "ipv4_peer_announced_prefixes": [
        "string"
      ],
      "labels": "map<string, string>",
      "status": "Status",
      "created_at": "google.protobuf.Timestamp"
    }
  ],
  "next_page_token": "string"
}

Field

Description

public_connections[]

PublicConnection

List of PublicConnection resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListPublicConnectionsRequest.page_size, use
the next_page_token as the value
for the ListPublicConnectionsRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

PublicConnectionPublicConnection

A PublicConnection resource.

Field

Description

id

string

ID of the publicConnection.

name

string

Name of the publicConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Optional description of the publicConnection. 0-256 characters long.

folder_id

string

ID of the folder that the publicConnection belongs to.

region_id

string

ID of the region that the publicConnection belongs to.

trunk_connection_id

string

ID of the trunk_connection that the publicConnection belongs to.

vlan_id

google.protobuf.Int64Value

VLAN_ID that the privateConnection uses in multiplexing.
Not used in connections over partners-II
Value range: [1, 4095]

ipv4_peering

Peering

IPv4 peering config of connection

ipv4_allowed_service_types[]

enum CloudServiceType

Cloud services that the publicConnection connects to.

  • CLOUD_SERVICE_TYPE_UNSPECIFIED
  • CLOUD_SERVICE_YANDEX
  • CLOUD_SERVICE_ALL_PUBLIC
  • CLOUD_SERVICE_S3
  • CLOUD_SERVICE_ML
  • CLOUD_SERVICE_APIGW
  • CLOUD_SERVICE_CONTAINER_REGISTRY
  • CLOUD_SERVICE_CONSOLE
  • CLOUD_SERVICE_MONITORING
  • CLOUD_SERVICE_YANDEX_GPT
  • CLOUD_SERVICES_ALL_API_ENDPOINT
  • CLOUD_SERVICE_YMQ

ipv4_peer_announced_prefixes[]

string

IPv4 Peer Announced Prefixes
It's an list of ip with format ipPrefix/length where address part of ipPrefix is 0

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum Status

Status of the publicConnection.

  • STATUS_UNSPECIFIED
  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

PeeringPeering

Field

Description

peering_subnet

string

PeeringSubnet.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

peer_ip

string

PeerIp.
It's an ip with just an ipAddress format without mask.

cloud_ip

string

CloudIp.
It's an ip with just an ipAddress format without mask.

peer_bgp_asn

int64

PeerBgpAsn.
PeerAsn excluding rfc5398 (excluding 64496 - 64511 and 65536 - 65551).

cloud_bgp_asn

int64

CloudBgpAsn.

peer_bgp_md5_key

string

PeerBgpMd5Key.
Optional.

Была ли статья полезна?

Предыдущая
Get
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»